<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
get_pagesecurity('5','views','R');     
$_SESSION['cuPages']='opr_pilist.php';   
$cuPage='opr_pilist.php';    
$aid=$_SESSION['uid'];    
}else{
header('Location:../index.php');
exit;    
}
$mhead='lc';
$menuh='LC Setup';
$phead='pilist';
$page='PI List';
$print='print';
$dtnow = date("Y-m-d h:i:s", time());
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>
<?php 
if(isset($_POST['delpinv'])){
$id=$_POST['delpinv'];
if(delete_check('tbl_invoice','pino',$id)>0 || delete_check('tbl_delivery','pino',$id)>0){
save_msg('w','PI Depend On Other Table!!!');
echo "<script>window.location='opr_pilist.php'</script>";
return;    
}
$name= get_fild_data('tbl_proinv',$id,'pino');    
$sql="DELETE FROM tbl_proinv WHERE id='$id'";
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
$efid=mysqli_affected_rows($con);    
if($efid>0){
$act =remove_junk(escape('PI no: '.$name));    
write_activity($aid,'PIN','PI has been deleted',$act);        
save_msg('s','PI Successfully Deleted!!!');
}else{
save_msg('w','PI Fail to Delete!!!');    
}
echo "<script>window.location='opr_pilist.php'</script>";
}
?>
<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    
<div class="row">
<div class="col-md-8">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">PI Record</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>    
<div class="col-md-12 table-responsive">
<table class="table table-bordered table-striped" id="datarec">
<thead>
<tr>
<th style="width:40px; text-align:center;">SN</th>   
<th>Date</th>
<th>PI No</th>
<th>Buyer</th>
<th>Seller</th>    
<th>Total</th>    
<th style="width:40px; text-align:center;">Action</th>    
</tr>
</thead>    
<tbody>
<?php
$sql="SELECT * FROM tbl_proinv ORDER BY date,id DESC";    
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
while ($row=mysqli_fetch_array($query)){
$id=$row['id'];
?>
<tr>
<td class="center"><?php echo count_id();?></td>
<td><?php echo date("d M Y", strtotime($row['apdate']));?></td>
<td><?php echo $row['pino'];?></td>      
<td><?php echo $row['cusname'];?></td>
<td><?php echo $row['supname'];?></td>    
<td><?php echo numtolocal($row['total'],get_fild_data('tbl_currency',$row['curid'],'symbol'));?></td>
<td nowrap="">
<a class="btn btn-flat bg-purple details-invoice" href="#" id="inv_<?php echo $row['id']; ?>"><i class="fa fa-eye cat-child"></i></a>    
<a class="btn btn-flat bg-purple" href="#"><i class="fa fa-edit"></i></a> 
<a class="btn btn-flat bg-purple" href="#" onclick="remove_item('DL_<?php echo $row['id'];?>')"><i class="fa fa-trash"></i></a>
<form action="opr_pilist.php" id="DL_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="delpinv" value="<?php echo $row['id']; ?>" />
</form>
</td>    
</tr>    
<?php } ?>    
</tbody>   
</table>
</div>
<div class="clearfix" ></div>  
<div class="row"style="margin-top: 15px" >
<div class="col-md-12 table-responsive">    
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<a href="opr_pigen.php" class="btn btn-flat bg-purple">Add PI</a>
</div>
</div>    
</div>    
</div>
</div>
</div>
<div class="col-md-4">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['utype']=='1'){echo read_activity($aid,'PIN','A');}else{echo read_activity($aid,'PIN','U');}?>
</div>
</div>
</div>
</div>
</div>
</div>
    
</section>
<!-- /.main content -->   
<?php include('../layout/print.php'); ?>     
</div>

<?php include('../layout/footer.php'); ?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function() {
$('#datarec').DataTable({stateSave: true}); 
});
    
function edit_item(id) {
   document.getElementById(id).submit(); 
}
function remove_item(id) {
        bootbox.confirm({
            title: "Confirm",
            message: "Are you sure to delete ?",
            buttons: {
                confirm: {
                    label: 'Yes',
                    className: 'btn-flat bg-purple'
                },
                cancel: {
                    label: 'Cancel',
                    className: 'btn-flat bg-gray'
                }
            },
            callback: function (result) {
                if (result == true) {
                    document.getElementById(id).submit();
                }
            }
        });

    }
    
$(".details-invoice").click(function (e) {
id_arr = $(this).attr('id');
id = id_arr.split("_");

$.ajax({
url: 'opr_viewlist.php',
method: "POST",
data:{ 
invid: id[1]
},
success: function(data){
$('#listitem').html(data);
pagelist();    
}
});    
    
$.ajax({
url: 'opr_viewpi.php',
method: "POST",
data:{ 
print: id[1]
},
success: function(data){
$('#invhold').html(data);
sethead();    
}
});
    
$('.right-side').toggle('slide', { direction: 'right' }, 300);    

e.preventDefault();
});

$(document).on('click', '#closepop', function() {
if($('.right-side').is(':visible')) { $('.right-side').toggle('slide', { direction: 'right' }, 300); }   
});    

$('#listitem').on('click','li', function(){
   $(this).addClass('active').siblings().removeClass('active');
});
    
$(document).on('click', '.invpiv', function() {
id_arr = $(this).attr('id');
id = id_arr.split("_");
var ids = id[1];
$.ajax({
url: 'opr_viewpi.php',
method: "POST",
data:{ 
print: ids
},
beforeSend: function() {
$("#invhold").fadeOut('slow');
},    
success: function(data){    
$('#invhold').html(data);
$("#invhold").fadeIn('slow');    
sethead();    
}
});     
});    
    
</script>
<!-- /page script -->
</html>    